Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.stocks.get_trades(ticker="AAPL", timestamp="2024-01-15", timestamp_from="2024-01-01", timestamp_after="2024-01-01", timestamp_to="2024-01-31", timestamp_before="2024-01-31", order=models.GetStockTradesOrder.DESC, limit=1000)
while res is not None:
# Handle items
res = res.next()import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.stocks.getTrades({
ticker: "AAPL",
timestamp: "2024-01-15",
timestampFrom: "2024-01-01",
timestampAfter: "2024-01-01",
timestampTo: "2024-01-31",
timestampBefore: "2024-01-31",
limit: 1000,
});
for await (const page of result) {
console.log(page);
}
}
run();curl --request GET \
--url https://api.aries.com/v1/stocks/trades \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/stocks/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/stocks/trades",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/stocks/trades"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/stocks/trades")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/stocks/trades")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"nextUrl": "https://api.aries.com/v1/stocks/trades?next=YXA9MTAwMDM3MDkmYXM9YXRsYXMtc3RvY2tzLXRyYWRlcyZsaW1pdD0xMDAwJm9yZGVyPWRlc2Mmc29ydD10aW1lc3RhbXAmdGltZXN0YW1wLmx0ZT0yMDI2LTAxLTAyVDIyJTNBNTAlM0EwNS4xNzU5NTM5NTRa&ticker=AAPL",
"requestId": "065feb8d4f03d1b18c1f13237a342e3f",
"results": [
{
"conditions": [
12
],
"exchange": 4,
"id": "360988",
"participantTimestamp": 1767401995260648000,
"price": 270.9607,
"sequenceNumber": 10029677,
"sipTimestamp": 1767401995260878300,
"size": 391,
"tape": 3,
"trfId": 202,
"trfTimestamp": 1767401995260857300
}
],
"status": "DELAYED"
}Stocks
Stock Trades
Get tick-level trade data for a stock with precise timestamps. Provides granular trade information including exchange, conditions, and participant timestamps.
Use Case: Build time and sales displays, analyze order flow, and create tick-by-tick trading analysis tools.
GET
/
v1
/
stocks
/
trades
Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.stocks.get_trades(ticker="AAPL", timestamp="2024-01-15", timestamp_from="2024-01-01", timestamp_after="2024-01-01", timestamp_to="2024-01-31", timestamp_before="2024-01-31", order=models.GetStockTradesOrder.DESC, limit=1000)
while res is not None:
# Handle items
res = res.next()import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.stocks.getTrades({
ticker: "AAPL",
timestamp: "2024-01-15",
timestampFrom: "2024-01-01",
timestampAfter: "2024-01-01",
timestampTo: "2024-01-31",
timestampBefore: "2024-01-31",
limit: 1000,
});
for await (const page of result) {
console.log(page);
}
}
run();curl --request GET \
--url https://api.aries.com/v1/stocks/trades \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/stocks/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/stocks/trades",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/stocks/trades"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/stocks/trades")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/stocks/trades")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"nextUrl": "https://api.aries.com/v1/stocks/trades?next=YXA9MTAwMDM3MDkmYXM9YXRsYXMtc3RvY2tzLXRyYWRlcyZsaW1pdD0xMDAwJm9yZGVyPWRlc2Mmc29ydD10aW1lc3RhbXAmdGltZXN0YW1wLmx0ZT0yMDI2LTAxLTAyVDIyJTNBNTAlM0EwNS4xNzU5NTM5NTRa&ticker=AAPL",
"requestId": "065feb8d4f03d1b18c1f13237a342e3f",
"results": [
{
"conditions": [
12
],
"exchange": 4,
"id": "360988",
"participantTimestamp": 1767401995260648000,
"price": 270.9607,
"sequenceNumber": 10029677,
"sipTimestamp": 1767401995260878300,
"size": 391,
"tape": 3,
"trfId": 202,
"trfTimestamp": 1767401995260857300
}
],
"status": "DELAYED"
}Authorizations
Query Parameters
Response
Successful response
Paginated list of historical tick-level trades for a stock ticker.
Was this page helpful?